OpenVDB 5.1.0

Classes | Public Types | Public Member Functions | List of all members
MaskedCopy< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | TreeTypePtr = typename TreeType::Ptr
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type
using | BoolTreeTypePtr = typename BoolTreeType::Ptr
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| MaskedCopy (const TreeType &tree, std::vector< TreeTypePtr > &segments, std::vector< BoolTreeTypePtr > &masks)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ BoolTreeTypePtr

using BoolTreeTypePtr = typename BoolTreeType::Ptr

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ TreeTypePtr

using TreeTypePtr = typename TreeType::Ptr

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ MaskedCopy()

MaskedCopy | ( | const TreeType & | tree,
|  | std::vector< TreeTypePtr > & | segments,
|  | std::vector< BoolTreeTypePtr > & | masks
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h